> ## Documentation Index
> Fetch the complete documentation index at: https://docs.screenframed.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete auth profile

` DELETE /v1/auth-profiles/{id} `

Delete auth profile

## Servers

- ` https://screenframed.com ` — Production

## Authentication

The operation accepts these alternatives. Schemes within one alternative are required together.

### Alternative 1

- ` bearerAuth `: ` http `

  - HTTP scheme: ` bearer `

  - ScreenFramed API key, such as `sf_live_...`.

## Parameters

### ` id ` (path, required)

- ` value `: type ` string `

  - pattern: ` "^ap_[A-Z0-9]{26}$" `

## Responses

### ` 200 ` — Deleted

Content type: ` application/json `

- ` value `: type ` object `

  - ` ok `: type ` boolean `

### ` 404 ` — Error response

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` error `

  - ` error `: type ` object `

    - Required fields: ` code `, ` message `

    - ` code `: type ` string `

    - ` message `: type ` string `

    - ` details `: type ` object `

    - ` retry_after `: type ` integer `

## Request examples

### cURL

```curl
curl -X DELETE 'https://screenframed.com/v1/auth-profiles/string' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
```

### JavaScript

```javascript
const response = await fetch('https://screenframed.com/v1/auth-profiles/string', {
  method: 'DELETE',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN"
  }
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.delete('https://screenframed.com/v1/auth-profiles/string', headers=headers)
print(response.json())
```